--- origin/clock.c	2024-10-15 22:32:13.315563638 +0300
+++ clock.c	2024-10-15 22:31:27.839562250 +0300
@@ -33,6 +33,7 @@
 #include <config.h>
 
 #include <stdio.h>
+#include <stdlib.h> // Include stdlib.h for system() function gtkclocksetup
 #include <sys/stat.h>
 #include <unistd.h>
 #include <dirent.h>
@@ -1770,24 +1771,20 @@
 }
 
 static void
-update_set_time_button (ClockData *cd)
+update_set_time_button(ClockData *cd)
 {
-        gint can_set;
-
-        /* this returns more than just a boolean; check the documentation of
-         * the dbus method for more information */
-        can_set = can_set_system_time ();
-
-        if (cd->time_settings_button)
-                gtk_widget_set_sensitive (cd->time_settings_button, can_set);
-
-        if (cd->set_time_button) {
-                gtk_widget_set_sensitive (cd->set_time_button, can_set != 0);
-                gtk_button_set_label (GTK_BUTTON (cd->set_time_button),
-                                      can_set == 1 ?
-                                        _("Set System Time...") :
-                                        _("Set System Time"));
-        }
+    // Always enable and show the time settings button
+    if (cd->time_settings_button) {
+        gtk_widget_set_sensitive(cd->time_settings_button, TRUE); // Always sensitive
+        gtk_widget_show(cd->time_settings_button); // Ensure button is shown
+    }
+
+    // Always enable and show the set time button
+    if (cd->set_time_button) {
+        gtk_widget_set_sensitive(cd->set_time_button, TRUE); // Always sensitive
+        gtk_button_set_label(GTK_BUTTON(cd->set_time_button), _("Set System Time...")); // Update label
+        gtk_widget_show(cd->set_time_button); // Ensure button is shown
+    }
 }
 
 static void
@@ -3437,14 +3434,12 @@
         g_signal_connect (edit_ok_button, "clicked",
                           G_CALLBACK (run_prefs_edit_save), cd);
 
-        /* Set up the time setting section */
-
-        cd->time_settings_button = _clock_get_widget (cd, "time-settings-button");
-        g_signal_connect (cd->time_settings_button, "clicked",
-                          G_CALLBACK (run_time_settings), cd);
+    /* Set up the time setting section to only run gtkclocksetup for Slint */
+    cd->time_settings_button = _clock_get_widget(cd, "time-settings-button");
+    g_signal_connect(cd->time_settings_button, "clicked", G_CALLBACK(run_time_setup_command), cd);
 
-        /* fill it with the current preferences */
-        fill_prefs_window (cd);
+    /* fill it with the current preferences */
+    fill_prefs_window(cd);
 }
 
 static gboolean
